#!/bin/bash
#SBATCH --job-name=cappel_L1024_Np512
#SBATCH -o /data70/hoellinger/WIP3M/cappel_L1024_Np512/log.log
#SBATCH -e /data70/hoellinger/WIP3M/cappel_L1024_Np512/err.err
#SBATCH --exclusive
#SBATCH -N 1                        # Number of nodes (value or min-max)
#SBATCH -n 128                      # The number of tasks (i.e. cores) per node
#SBATCH --time=24:00:00

##SBATCH --exclusive
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=i1            # Constraint e.g. specific node

conda activate p3m

export OMP_NUM_THREADS=128

python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
    --run_id cappel_L1024_Np512 \
    --L 1024 \
    --N 1024 \
    --Np 512 \
    --Npm 1024 \
    --n_Tiles 128 \
    --nsteps_pmref 200 \
    --nsteps_pm1 100 \
    --nsteps_pm2 50 \
    --nsteps_cola 20 \
    --nsteps_spm 400 \
    --nsteps_p3m1 400 \
    --nsteps_p3m2 300 \
    --nsteps_p3m3 200

# python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
#     --run_id cappel_Np512 \
#     --L 512 \
#     --N 1024 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --nsteps_pmref 200 \
#     --nsteps_pm1 100 \
#     --nsteps_pm2 50 \
#     --nsteps_cola 20 \
#     --nsteps_spm 400 \
#     --nsteps_p3m1 400 \
#     --nsteps_p3m2 300 \
#     --nsteps_p3m3 200

# python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
#     --run_id cappel_loga_Np512 \
#     --L 512 \
#     --N 1024 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --nsteps_pmref 200 \
#     --nsteps_pm1 100 \
#     --nsteps_pm2 50 \
#     --nsteps_cola 20 \
#     --nsteps_spm 400 \
#     --nsteps_p3m1 400 \
#     --nsteps_p3m2 300 \
#     --nsteps_p3m3 200 \
#     --tsd_pmref 1 \
#     --tsd_pm1 1 \
#     --tsd_pm2 1 \
#     --tsd_cola 1 \
#     --tsd_spm 1 \
#     --tsd_p3m1 1 \
#     --tsd_p3m2 1 \
#     --tsd_p3m3 1

# python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
#     --run_id brabois_Np512_L1024 \
#     --L 1024 \
#     --N 1024 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --nsteps_pmref 100 \
#     --nsteps_pm1 50 \
#     --nsteps_pm2 20 \
#     --nsteps_cola 20 \
#     --nsteps_spm 200 \
#     --nsteps_p3m1 200 \
#     --nsteps_p3m2 100 \
#     --nsteps_p3m3 50

# python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
#     --run_id brabois_Np512 \
#     --L 512 \
#     --N 1024 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --nsteps_pmref 100 \
#     --nsteps_pm1 50 \
#     --nsteps_pm2 20 \
#     --nsteps_cola 20 \
#     --nsteps_spm 200 \
#     --nsteps_p3m1 200 \
#     --nsteps_p3m2 100 \
#     --nsteps_p3m3 50

# python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
#     --run_id brabois_Np256 \
#     --L 512 \
#     --N 512 \
#     --Np 256 \
#     --Npm 512 \
#     --n_Tiles 64 \
#     --nsteps_pmref 200 \
#     --nsteps_pm1 100 \
#     --nsteps_pm2 50 \
#     --nsteps_cola 20 \
#     --nsteps_spm 400 \
#     --nsteps_p3m1 400 \
#     --nsteps_p3m2 300 \
#     --nsteps_p3m3 200

# python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
#     --run_id brabois_Np256_fine \
#     --L 512 \
#     --N 1024 \
#     --Np 256 \
#     --Npm 512 \
#     --n_Tiles 64 \
#     --nsteps_pmref 200 \
#     --nsteps_pm1 100 \
#     --nsteps_pm2 50 \
#     --nsteps_cola 20 \
#     --nsteps_spm 400 \
#     --nsteps_p3m1 400 \
#     --nsteps_p3m2 300 \
#     --nsteps_p3m3 200

exit 0